Skip to content
Developer

CRMTicket / Sprints

Tickets and projects6 EndpointsCRM / CRMTicket / Sprints

This method will get all Sprint Objects

GET/api/crm/sprints

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
statestringOne of self::STATES
startDatestring
endDatestring
viewOrderstring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of Sprint objectsarray<CRMSprint>

Show fields (10)
  • idinteger

    Primary key of the sprint. Internal ID.

  • namestring

    Name of the sprint.

  • statestring

    One of self::STATES

  • start_datestring (date-time)

    Start date of the sprint.

  • end_datestring (date-time)

    End date of the sprint.

  • capacity_in_hoursnumber (float)

    The work time the team can spend in this sprint

  • view_orderinteger

    Sort order of the sprint in lists.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/sprints \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "state": "string",
    "start_date": "2026-10-15T09:30:00+02:00",
    "end_date": "2026-10-15T09:30:00+02:00",
    "capacity_in_hours": 1.5,
    "view_order": 1,
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  }
]

Add a new Sprint

POST/api/crm/sprints

Request body application/json

  • dataCRMSprint2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new SprintCRMSprint

Show fields (10)
  • idinteger

    Primary key of the sprint. Internal ID.

  • namestring

    Name of the sprint.

  • statestring

    One of self::STATES

  • start_datestring (date-time)

    Start date of the sprint.

  • end_datestring (date-time)

    End date of the sprint.

  • capacity_in_hoursnumber (float)

    The work time the team can spend in this sprint

  • view_orderinteger

    Sort order of the sprint in lists.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/sprints \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "state": "string",
  "start_date": "2026-10-15T09:30:00+02:00",
  "end_date": "2026-10-15T09:30:00+02:00",
  "capacity_in_hours": 1.5,
  "view_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

This method will get a single Sprint with the given id

GET/api/crm/sprints/{id}

Path parameters

idrequiredstring

Responses

200Returns a single SprintCRMSprint

Show fields (10)
  • idinteger

    Primary key of the sprint. Internal ID.

  • namestring

    Name of the sprint.

  • statestring

    One of self::STATES

  • start_datestring (date-time)

    Start date of the sprint.

  • end_datestring (date-time)

    End date of the sprint.

  • capacity_in_hoursnumber (float)

    The work time the team can spend in this sprint

  • view_orderinteger

    Sort order of the sprint in lists.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/sprints/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "state": "string",
  "start_date": "2026-10-15T09:30:00+02:00",
  "end_date": "2026-10-15T09:30:00+02:00",
  "capacity_in_hours": 1.5,
  "view_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Update a single Sprint with the given id

PUT/api/crm/sprints/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataCRMSprint2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single Sprint with the given idCRMSprint

Show fields (10)
  • idinteger

    Primary key of the sprint. Internal ID.

  • namestring

    Name of the sprint.

  • statestring

    One of self::STATES

  • start_datestring (date-time)

    Start date of the sprint.

  • end_datestring (date-time)

    End date of the sprint.

  • capacity_in_hoursnumber (float)

    The work time the team can spend in this sprint

  • view_orderinteger

    Sort order of the sprint in lists.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/sprints/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "state": "string",
  "start_date": "2026-10-15T09:30:00+02:00",
  "end_date": "2026-10-15T09:30:00+02:00",
  "capacity_in_hours": 1.5,
  "view_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

Update a single Sprint with the given id

PATCH/api/crm/sprints/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataCRMSprint2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single Sprint with the given idCRMSprint

Show fields (10)
  • idinteger

    Primary key of the sprint. Internal ID.

  • namestring

    Name of the sprint.

  • statestring

    One of self::STATES

  • start_datestring (date-time)

    Start date of the sprint.

  • end_datestring (date-time)

    End date of the sprint.

  • capacity_in_hoursnumber (float)

    The work time the team can spend in this sprint

  • view_orderinteger

    Sort order of the sprint in lists.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/sprints/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "state": "string",
  "start_date": "2026-10-15T09:30:00+02:00",
  "end_date": "2026-10-15T09:30:00+02:00",
  "capacity_in_hours": 1.5,
  "view_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}

This method will delete a single Sprint with the given id

DELETE/api/crm/sprints/{id}

Path parameters

idrequiredstring

Responses

200Delete a single Sprint with the given idCRMSprint

Show fields (10)
  • idinteger

    Primary key of the sprint. Internal ID.

  • namestring

    Name of the sprint.

  • statestring

    One of self::STATES

  • start_datestring (date-time)

    Start date of the sprint.

  • end_datestring (date-time)

    End date of the sprint.

  • capacity_in_hoursnumber (float)

    The work time the team can spend in this sprint

  • view_orderinteger

    Sort order of the sprint in lists.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/crm/sprints/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "state": "string",
  "start_date": "2026-10-15T09:30:00+02:00",
  "end_date": "2026-10-15T09:30:00+02:00",
  "capacity_in_hours": 1.5,
  "view_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00"
}